const CryptoJS = require("crypto-js");
let secret_value = 'anN2bXA2NjYsamlh'; //密匙 16位
let iv_value = 'amlheW91LHFpYW53'; // 初始向量 initial vector 16位

// 密匙和向量处理
let secret = CryptoJS.enc.Utf8.parse(secret_value);
let iv = CryptoJS.enc.Utf8.parse(iv_value);

// 将加密结果转换为字符串
encrypted = "[encoded data, 8256 characters]";

// 解密，传入密文，密钥盒向量设置加密与填充模式
let decrypted = CryptoJS.AES.decrypt(encrypted, secret, {
    iv: iv,
    // mode 支持 CBC, CFB,CTB,ECB,OFB,OFB, 默认CBC
    mode: CryptoJS.mode.CFB,

    // NoPadding, zeropadding 默认Pkcs7 即 pkcs5
    padding: CryptoJS.pad.Pkcs7
});

// 将解密结果转换为utf8字符串
decrypted = CryptoJS.enc.Utf8.stringify(decrypted);

console.log(encrypted);
console.log(decrypted);